FLANG

Classes | Public Member Functions | List of all members
Fortran::runtime::io::UnitMap Class Reference

## Public Member Functions
ExternalFileUnit * | LookUp (int n)
ExternalFileUnit & | LookUpOrCreate (int n, const Terminator &terminator, bool &wasExtant)
ExternalFileUnit & | NewUnit (const Terminator &terminator)
ExternalFileUnit * | LookUpForClose (int)
void | DestroyClosed (ExternalFileUnit &)
void | CloseAll (IoErrorHandler &)
void | FlushAll (IoErrorHandler &)

The documentation for this class was generated from the following files:

- runtime/unit-map.h
- runtime/unit-map.cpp